/*
 * Board_LPC11U37.h
 *
 *  Created on: 12.02.2020
 *      Author: nxf49599
 */

#ifndef DAL_BOARDS_BOARD_LPC11U37_H_
#define DAL_BOARDS_BOARD_LPC11U37_H_


#define ED_PIN			1 /* GPIO pin  number mapped to PININT */
#define ED_PIN_PORT		0 /* GPIO port number mapped to PININT */
#define ED_PIN_INDEX	0 /* PININT index used for GPIO mapping */
#define PININT_IRQ_HANDLER	FLEX_INT0_IRQHandler /* PININT IRQ function name */
#define PININT_NVIC_NAME		PIN_INT0_IRQn /* PININT NVIC interrupt name */

#define PHBAL_REG_LPC11U37_I2C_ID                 0x10U       /**< ID for LPC Open SPI BAL component */

#define I2C_FAILURE 1
#define I2C_MASTER_READ_LENGTH 2

#define I2C_FASTPLUS_BIT     0
#define SPEED_100KHZ         100000
#define SPEED_400KHZ         400000
#define I2C_DEFAULT_SPEED    SPEED_100KHZ

#define PH_DRIVER_SET_HIGH            1

#define PHDRIVER_PIN_IRQ_PULL_CFG      PH_DRIVER_PULL_UP
#define PHDRIVER_IRQGROUP				0

#define PHDRIVER_PIN_IRQ    ((ED_PIN_PORT << 8) | ED_PIN)   /**< IRQ pin, Pin1, Port0 */

#define PHDRIVER_I2CSLAVE_ADDRESS       0x54  /*!< Address of the intended slave, for NTAG5 it is 0x54*/


#endif /* DAL_BOARDS_BOARD_LPC11U37_H_ */
