/*
 * Copyright (c) 2016, NXP Semiconductor
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of NXP Semiconductor nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */
/***********************************************************************/
/* INCLUDES                                                            */
/***********************************************************************/

#include "ntag_driver_intern.h"
#include "ntag_defines.h"
#include "global_types.h"
#include "phDriver.h"
#include "phDriver_Timer.h"
#include "ntag_bridge.h"
/***********************************************************************/
/* DEFINES                                                             */
/***********************************************************************/

/***********************************************************************/
/* GLOBAL VARIABLES                                                    */
/***********************************************************************/
extern uint8_t Unblock;
/***********************************************************************/
/* GLOBAL PUBLIC FUNCTIONS                                             */
/***********************************************************************/

BOOL NTAG_AutoStandby_Enable(NTAG_HANDLE_T ntag, BOOL on)
{
    BOOL status = true;
    uint8_t data[5] = {0x00};
    uint16_t wRxLength;

    if(ntag == NULL)
    {
        return true;
    }

    data[0] = (uint8_t)(SessionRegister[NTAG_MEM_OFFSET_TAG_CONFIG0_REG][0] >> 8);
    data[1] = (uint8_t)(SessionRegister[NTAG_MEM_OFFSET_TAG_CONFIG0_REG][0]);
    data[2] = (uint8_t)(SessionRegister[NTAG_MEM_OFFSET_TAG_CONFIG0_REG][1]);
    data[3] = (uint8_t)(NTAG_MEM_AUTO_STANDBY_EN_MASK);
    data[4] = (uint8_t)(on);

    if (HAL_I2C_OK == phbalReg_Exchange(ntag->pDataParams,  0, &data[0], 5, 0,  NULL, &wRxLength))
    {
        status = false;
    }

    if((status == false) && on)
    {
        ntag->AutoStanbyEn = 1;
    }
    return status;
}
