/*
 * test.h
 *
 *  Created on: Jan 18, 2017
 *      Author: nxf18375
 */

#ifndef TEST_H_
#define TEST_H_

#include <stdio.h>
#include <phOsal.h>
#include "phPlatform.h"

#define  DEBUG_PRINTF(...) printf(__VA_ARGS__); fflush(stdout)

#define OSAL_MAX_DELAY  (0xffffffffUL)

#define TIME_LOG_BUFF_SIZE  20

typedef struct {
    uint32_t line;
    uint32_t timeUs;
}tTime_Data;

typedef struct {
    tTime_Data timeData[TIME_LOG_BUFF_SIZE];
    uint32_t Buff_index;
    uint32_t dwElapsedTime;
}tLogBuff;

extern tLogBuff timelogBuffer;


#define TIME_LOG(TIMER_HANDLE) { \
        phPlatform_Timer_GetElapsedDelay(TIMER_HANDLE, &timelogBuffer.dwElapsedTime); \
        timelogBuffer.timeData[timelogBuffer.Buff_index].line = __LINE__; \
        timelogBuffer.timeData[timelogBuffer.Buff_index].timeUs = timelogBuffer.dwElapsedTime; \
        timelogBuffer.Buff_index++;\
};

#define TIME_DIFF ( \
    (timelogBuffer.timeData[timelogBuffer.Buff_index - 1].timeUs) - \
    (timelogBuffer.timeData[timelogBuffer.Buff_index - 2].timeUs ) \
);

#endif /* TEST_H_ */
