/*
 * phPlatform_LpcPort.h
 *
 *  Created on: Apr 11, 2016
 *      Author: nxp69678
 */

#ifndef PHPLATFORM_PORT_CORTEX_H
#define PHPLATFORM_PORT_CORTEX_H

#ifdef __GNUC__
    #define __ENABLE_IRQ() __asm volatile ("cpsie i")
    #define __DISABLE_IRQ() __asm volatile ("cpsid i")
//    #define __WFE() __asm volatile ("wfe")
//    #define __SEV() __asm volatile ("sev")
#endif /* __GNUC__ */


#ifdef __ARMCC_VERSION
    #define __ENABLE_IRQ __enable_irq
    #define __DISABLE_IRQ __disable_irq
    #define __WFE __wfe
    #define __SEV __sev
#endif /* __ARMCC_VERSION */

#ifdef __ICCARM__
#   include "intrinsics.h"
#   define __NOP             __no_operation
#   define __ENABLE_IRQ      __enable_interrupt
#   define __DISABLE_IRQ     __disable_interrupt
#endif

#define phPlatform_EnterCriticalSection()       __DISABLE_IRQ()

#define phPlatform_ExitCriticalSection()       __ENABLE_IRQ()

#define phPlatform_Sleep()                     __WFE()

#define phPlatform_WakeUp()                    __SEV()

#endif /* PHPLATFORM_PORT_CORTEX_H */
