/*
 * i2c.h
 *
 *  Created on: 17.01.2020
 *      Author: nxf52188
 */

#ifndef INC_I2C_H_
#define INC_I2C_H_

#include <stdint.h>
#include "board.h"

#define DEFAULT_I2C          I2C0

#define I2C_EEPROM_BUS       DEFAULT_I2C
#define I2C_IOX_BUS          DEFAULT_I2C

#define SPEED_100KHZ         100000
#define SPEED_400KHZ         400000
#define I2C_DEFAULT_SPEED    SPEED_400KHZ
#define I2C_FASTPLUS_BIT     0

#define NTAG5_I2C_ADDR       (0x54) //NTAG 5 link/boost default address

#if (I2C_DEFAULT_SPEED > SPEED_400KHZ)
#undef  I2C_FASTPLUS_BIT
#define I2C_FASTPLUS_BIT IOCON_FASTI2C_EN
#endif


void Init_I2C_PinMux(void);
void i2c_state_handling(I2C_ID_T id);
void i2c_set_mode(I2C_ID_T id, int polling);
void I2C_IRQHandler(void);
uint16_t ntag5_i2c_Transfer(uint8_t *txBuff, uint16_t txSize, uint8_t *rxBuff, uint16_t rxSize);
uint8_t i2c_probe_slave(I2C_ID_T i2c, int addr);





#endif /* INC_I2C_H_ */
